=== libarchive/test/CMakeLists.txt ===
--- 
+++ 
@@ -142,11 +142,13 @@
     test_write_disk.c
     test_write_disk_failures.c
     test_write_disk_hardlink.c
+    test_write_disk_lookup.c
     test_write_disk_perms.c
     test_write_disk_secure.c
     test_write_disk_sparse.c
     test_write_disk_symlink.c
     test_write_disk_times.c
+    test_write_format_7zip.c
     test_write_format_ar.c
     test_write_format_cpio.c
     test_write_format_cpio_empty.c
